/* -*- tab-width: 4 -*-
 *
 * Electric(tm) VLSI Design System
 *
 * File: UniqueIDGenerator.java
 *
 * Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 *
 * Electric(tm) is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Electric(tm) is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Electric(tm); see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, Mass 02111-1307, USA.
 */
package com.sun.electric.tool.util.concurrent.utils;

import java.util.concurrent.atomic.AtomicInteger;

/**
 * Thread safe unique id generator
 *
 */
public class UniqueIDGenerator {

	private final int start;
	private AtomicInteger current;

	public UniqueIDGenerator(int start) {
		this.start = start;
		this.current = new AtomicInteger(this.start);
	}

	/**
	 * Get unique identifier
	 * @return
	 */
	public int getUniqueId() {
		return this.current.incrementAndGet();
	}
}
